Index knowledge document
curl --request POST \
--url http://127.0.0.1:4000/api/v1/knowledge/documents/{id}/index \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"commandId": "<string>",
"maxChars": 2200,
"overlapChars": 800
}
'import requests
url = "http://127.0.0.1:4000/api/v1/knowledge/documents/{id}/index"
payload = {
"commandId": "<string>",
"maxChars": 2200,
"overlapChars": 800
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({commandId: '<string>', maxChars: 2200, overlapChars: 800})
};
fetch('http://127.0.0.1:4000/api/v1/knowledge/documents/{id}/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document": {
"id": "<string>",
"name": "<string>",
"fileType": "<string>",
"source": "<string>",
"projectId": "<string>",
"version": 123,
"checksum": "<string>",
"filePath": "<string>",
"markdownPath": "<string>",
"converterCommand": "<string>",
"converterMeta": {},
"errorMessage": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"chunkCount": 123,
"embeddingModel": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"message": "<string>"
}Knowledge API
Index knowledge document
Runs converter, chunking, and embeddings for a document. Requires L0 authorization.
POST
/
api
/
v1
/
knowledge
/
documents
/
{id}
/
index
Index knowledge document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Minimum string length:
1Body
application/json
⌘I